/*
 * Copyright (c) 1998 The Regenstrief Institute.  All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * Written by Gunther Schadow.
 *
 * $Id: CompileTab.java,v 1.2 1998/08/24 23:16:20 schadow Exp $
 */

import java.lang.*;
import java.io.*;
import units.UnitTab;
import units.ParseException;

class CompileTab
{
  public static void main(String argv[])
       throws IOException, ParseException, ClassNotFoundException
  {
    int arg = 0;

    if(argv[arg].equals("-v"))
      {
	UnitTab.verbose = true;
	arg++;
      }
    
    UnitTab.read(argv[arg]);
    
    UnitTab.findAmbiguities();
    
    UnitTab.save(argv[arg + 1]);
  }
}
